# SPDX-License-Identifier: Unlicense

QT += multimedia qml quick quickcontrols2 svg widgets
CONFIG += c++1z embed_translations lrelease qmltypes
DEFINES += GIT_VERSION=\\\"$$system(git -C "$$_PRO_FILE_PWD_" describe --always --tags)\\\"

QML_IMPORT_NAME = fuzbal
QML_IMPORT_MAJOR_VERSION = 1

SOURCES += event_filter.cpp event_list.cpp main.cpp
HEADERS += event_filter.h event_list.h io.h

RESOURCES += main.qrc icons.qrc
TRANSLATIONS += translations/fuzbal_sl.ts

unix {
    isEmpty(PREFIX): PREFIX = /usr/local
    target.path = $$PREFIX/bin
    INSTALLS += target
}
